Curve warp demonstration.


#1

Hello everyone!

I’d like to introduce few videos about my experiments with curve warp deformation layer. For this moment I had release just first video, second one already shooted but not cuted and will be done in couple days. Unfortunately I’m bad translator and I sounded it in russian, but I hope video is clear enough as is. If any question ask me I’ll try to explain.

first part: youtube.com/watch?v=Gz7gSBVHnjo


#2

That’s very cool! Thanks!

Would you please add this tutorial to the video tutorial area of the wiki?

Also, a link to the tutorials on the Curve Warp layer page from the wiki will be great!
-G


#3

How can I do it? I can’t logon into wiki with my forum account. Does it mean I need to register for wiki again?
And does this video is helpful enough for non russian-speaking people to place it into international tutorial library?

Meanwhile, second part: youtube.com/watch?v=Y5GFP_eU_Mk
Where I talk about limitations and about some tricks to break this limits.

If I’ll collect some extra content, I’ll make third part.


#4

Your" video are just incredible of clarity even if i just know ‘tak’ ze dobje , nasdrovie … in russian languages :slight_smile:

register, yep it is… wiki.synfig.org/wiki/Special:RequestAccount

Until some really nice russian/english people speaking translate it … yep… for sure ! :slight_smile:

Can i ask you if you can, as you plan to do a third shoot, to try to do it with a more actual Synfig dev snapshot ?
Linux Binaries for Development version of 0.64.0 - terminology update / cairo (not fully) inside
or
download.tuxfamily.org/synfig/packages/binaries/ - terminology update

—> to take advantage of new terminology and icon in your screencast and make it more sustainable :open_mouth: <----

scree:(;ya!


#5

I filed request form, got email with conformation link, went by this link, got the message “Your e-mail address has been confirmed and will be listed as such in your account request.” And that’s all. Nothing more happened. Now I can’t log in to wiki – it says “Login error There is no user by the name “Zmeyk”. Check your spelling.”

I have this version instaled. New icons looks pretty :slight_smile: but anyway cairo support does not work on my box.


#6

Sorry, can’t help you this case …

Cairo don’t work at all [1] (Menu/File/Setup/Render/ Navigator - WorkArea) or work in degraded mode [2] ?
A) if it’s second solution, it’s “normal” , work on port to cairo engine is now in the step where need to be tested to see most of render cases.
B) the first solution, feel free to explain what happen or not + systems informations, and someone may guide you if you want to enter in second solution (who was primarily answered)

+/-cairo:)ya!


#7

In neighboring topic I wrote why cairo support doesn’t work on my system: it is need cairo >=1.12.0 but in repository of my distro latest version is 1.10.2 So there is no simple way to solve this yet.
When I try to use cairo feature synfig crashes with message:

/opt/synfig/bin/synfigstudio: symbol lookup error: /opt/synfig/lib/libsynfig.so.0: undefined symbol: cairo_surface_create_similar_image


#8

viewtopic.php?f=1&t=4212
EDIT: The packages won’t work for earlier distributions than Ubuntu 12.10. You need to have Cairo >=1.12.0 installed in your system.
I’m working to fix that.

But … with a little diysolution ,
Following what follow you will get it
Important Note : i have replace build by install from my initial post and add extra info, because should be the same! Now in my case can build (special folder) and install synfig last dev (like other software).

Original post was not a 1 april joke :wink:

In order to install synfig last cairo devllepoment in ubuntu 12.04 familly (x/l/k/t…?..) and should work the same with all .deb linuxlike.

Another boring Note - Working this things, always work better with an updated system…

So how to upgrade libcairo2 and libcairo2-dev up to 1.12 if not present in my repository ?
Adding “quantal main” (ubuntu 12.10) repository can be a solution.Take care to select manually only the .deb needed - libcairo2 and dependencies (or this will be the road to full system migration) - after this little update ,7 .deb or something like, don’t forget to disabled or suppress “quantal main” repository to preserve your system!

Another other boring note - Conflict can occurs …!

Libcairo2 1.12x can cause text render issues in several application, for me was in LibreOffice from 3.?x to 4.0xx
To correct this problem, i have upgraded xorg-server (was 2:1.11 now is 2:1.13) solution from here . Done by enabling momently quantal repository.

I hope this can help.


#9

Thanks for the demonstration. I never used wrap curve before.
It makes me wander if we really need bones when a tool like that already exists.


#10

zmeyk:DOne a little to prepare your venue there :- )

wiki.synfig.org/wiki/Doc:Video_Tutorials

seke(:a!